## ros-humble-swri-console 2.0.5

=== debian/changelog ===
ros-humble-swri-console (2.0.5-2bookworm) bookworm; urgency=high

  * Implement reading from rosbag2 files (#64 <https://github.com/swri-robotics/swri_console/issues/64>)
  * Add human readable time (#63 <https://github.com/swri-robotics/swri_console/issues/63>)
  * Remove Old Distro Support (#62 <https://github.com/swri-robotics/swri_console/issues/62>)
  * Update package.xml
  * Adding ROS-Industrial CI Actions for ROS2 Releases
  * Contributors: David Anthony, Matthijs van der Burgh, Ramon Wijnands

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 19 Jun 2024 16:00:00 -0000

ros-humble-swri-console (2.0.4-2bookworm) bookworm; urgency=high

  * Adding missing dependency needed by build farm (#58 <https://github.com/swri-robotics/swri_console/issues/58>)
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 03 Apr 2023 16:00:00 -0000

ros-humble-swri-console (2.0.3-2bookworm) bookworm; urgency=high

  * Fix QoS on Humble (#55 <https://github.com/swri-robotics/swri_console/issues/55>)
    * Use Humble's Default rosout QoS Settings
    Co-authored-by: David Anthony <mailto:david.anthony@swri.org>
    Co-authored-by: Tony Najjar <mailto:tony.najjar.1997@gmail.com>
  * Contributors: David Anthony, Tony Najjar

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 22 Feb 2023 16:00:00 -0000

ros-humble-swri-console (2.0.2-2bookworm) bookworm; urgency=high

  * Update Qt Flags (#52 <https://github.com/swri-robotics/swri_console/issues/52>)
    * Update to use new flags
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 02 Nov 2022 16:00:00 -0000

ros-humble-swri-console (2.0.1-2bookworm) bookworm; urgency=high

  * Switching to system default QoS (#50 <https://github.com/swri-robotics/swri_console/issues/50>)
  * Merge pull request #45 <https://github.com/swri-robotics/swri_console/issues/45> from rasmusan/bugfix/log_queue_not_emptied
    Fix: Before maximum 1 log entry every 50 ms was processed. Now all en…
  * Merge pull request #44 <https://github.com/swri-robotics/swri_console/issues/44> from rasmusan/bugfix/rosout_qos_fixed
    Fix: Changed rosout subsciption to use rcl_qos_profile_rosout_default…
  * Merge pull request #43 <https://github.com/swri-robotics/swri_console/issues/43> from nobleo/fix/boost-thread-dep
    Fix boost dependency
  * Merge pull request #41 <https://github.com/swri-robotics/swri_console/issues/41> from nobleo/ros-ok
    Replace deprecated is_initialized() with ok()
  * Merge pull request #36 <https://github.com/swri-robotics/swri_console/issues/36> from rasmusan/bugfix/fix_loglevel_masking
    Fixed loglevel masking (for ROS2)
  * Merge pull request #42 <https://github.com/swri-robotics/swri_console/issues/42> from nobleo/libboost-thread
    More specific boost dependency
  * Merge pull request #37 <https://github.com/swri-robotics/swri_console/issues/37> from rasmusan/feature/add-display-options
    Added options to show logger_name and function in each log line
  * Fixed loglevel masking (for ROS2)
  * Contributors: David Anthony, Matthew, Rasmus Skovgaard Andersen, Tim Clephas, rasmus.andersen

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 02 Nov 2022 16:00:00 -0000

ros-humble-swri-console (2.0.0-2bookworm) bookworm; urgency=high

  * ROS 2 Dashing Support (#31 <https://github.com/swri-robotics/swri_console/issues/31>)
  * Contributors: Jacob Hassold, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 30 Mar 2020 16:00:00 -0000

ros-humble-swri-console (1.1.0-2bookworm) bookworm; urgency=high

  * Added simple rosout_agg_recorder (#15 <https://github.com/pjreed/swri_console/issues/15>)
  * Change logger levels from within swri_console (#20 <https://github.com/pjreed/swri_console/issues/20>)
  * Load ROS logs and directories of ROS logs
  * Fix compiler warnings found with Clang
  * Add search bar
  * Contributors: Edward Venator, P. J. Reed, Phil Westhart, Victor Murray, elliotjo, jgassaway

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 10 May 2018 16:00:00 -0000

ros-humble-swri-console (1.0.0-2bookworm) bookworm; urgency=high

  * Add kinetic and lunar and simplify CI
    - Remove cruft from CI configuration
    - Add ROS kinetic to CI configuration
    - Add ROS lunar to CI configuration
    - Remove shadow-fixed builds from CI configuration. Since this repository has very few catkin dependencies, there's no reason to build for both shadow-fixed and released.
  * Fix compiler warnings
  * Contributors: Edward Venator, P. J. Reed, elliotjo

 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 31 Mar 2017 16:00:00 -0000

ros-humble-swri-console (0.2.0-2bookworm) bookworm; urgency=high

  * Port to Qt5 #16 <https://github.com/swri-robotics/swri_console/issues/16>
  * Contributors: Edward Venator, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Sat, 22 Oct 2016 16:00:00 -0000

ros-humble-swri-console (0.1.0-2bookworm) bookworm; urgency=high

  * Remove settings_keys.h from qt4_wrap_cpp to suppress warning
    There are no QT-wrappable classes in this header, so the QT build emits a
    warning that it's doing nothing on the file. Since it's doing nothing,
    we might as well remove the file from the wrapper macro.
  * Adding support for Travis CI
    This is based on the script provided by ros-industrial at:
    https://github.com/ros-industrial/industrial_ci
  * Fix for issue #12 <https://github.com/swri-robotics/swri_console/issues/12>; "Copy Extended" was only copying blank lines.
  * Add option to alternate row colors for stronger line distinction.
    This uses the QAbstractItemView's alternatingRowColors property
    to alternate the background color of each line in the log list.  You
    can disable the alternating colors by right clicking on the log, and
    your preference should be persistent between sessions.

