=== debian/control ===
Source: ros-humble-swri-console
Section: misc
Priority: optional
Maintainer: Southwest Research Institute <swri-robotics@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-thread-dev, libqt5core5a, libqt5gui5, libqt5opengl5-dev, libqt5widgets5, ros-humble-ament-cmake, ros-humble-rcl-interfaces, ros-humble-rclcpp, ros-humble-rosbag2-transport, ros-humble-rosidl-default-generators, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/swri_console
Standards-Version: 3.9.2

Package: ros-humble-swri-console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-thread-dev, libqt5core5a, libqt5gui5, libqt5widgets5, ros-humble-rcl-interfaces, ros-humble-rclcpp, ros-humble-rosbag2-transport, ros-humble-rosidl-default-runtime, ros-humble-ros-workspace
Description: A rosout GUI viewer developed at Southwest Research Insititute as an alternative to rqt_console.
