=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-humble-swri-console
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-thread-dev, libqt5core5a, libqt5gui5, libqt5widgets5, ros-humble-rcl-interfaces, ros-humble-rclcpp, ros-humble-rosbag2-transport, ros-humble-rosidl-default-runtime, ros-humble-ros-workspace
-Description: A rosout GUI viewer developed at Southwest Research Insititute as an alternative to rqt_console.
+Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-thread-dev, libqt5core5a, libqt5gui5, libqt5widgets5, ros-humble-rcl-interfaces, ros-humble-rclcpp, ros-humble-rosbag2-storage-mcap, ros-humble-rosbag2-transport, ros-humble-rosidl-default-runtime, ros-humble-ros-workspace
+Description: A rosout GUI viewer developed at Southwest Research Institute as an alternative to rqt_console.
